Messages
{
"method": "subscribe",
"topic": "solana.assets.transfers",
"params": {
"from_addresses": [
"13NyGvtCdrBUqRSRHJUfw6yXFLoZ9VBu27RL8fq4daos"
],
"to_addresses": [
"13NyGvtCdrBUqRSRHJUfw6yXFLoZ9VBu27RL8fq4daos"
]
}
}{
"method": "unsubscribe",
"topics": [
"solana.assets.transfers"
]
}{
"topic": "solana.assets.transfers",
"data": {
"id": 1,
"transfer_type": "spl_token_transfer",
"stack_height": 2,
"token_address": "13NyGvtCdrBUqRSRHJUfw6yXFLoZ9VBu27RL8fq4daos",
"from_address": "CsVdJ8WH8Q9eHSTRpwtwN3TYApm24QnLKYUMNxJ3DaED",
"to_address": "J6pQQ3FAcJQeWPPGppWRb4nM8jU3wLyYbRrLh7feMfvd",
"amount": 256.4115815,
"usd_amount": 35.323303,
"block_slot": 382423380,
"block_time": "2026-05-28T12:00:00Z",
"tx_hash": "3gg6eQPa2PJ4LkGnd12EoEBHmSB3R3fr9h6MYUaaDAjeZBL5bb9paUxn521Z9d3ScWES4cVKLsexwEvo3dUoqhEs"
}
}Transfers
Subscribe Transfers
Subscribe to real-time token and native transfers.
WSS
/
v1
/
ws
To keep the connection alive, you need to send a ping message every less than 60 seconds.
topic field that you can use to filter the type of message.
When subscribing, you can leave any of the array fields of the
params object empty to subscribe to all entries for that field.When unsubscribing, you can leave the
topics array empty to unsubscribe from all topics.Messages
{
"method": "subscribe",
"topic": "solana.assets.transfers",
"params": {
"from_addresses": [
"13NyGvtCdrBUqRSRHJUfw6yXFLoZ9VBu27RL8fq4daos"
],
"to_addresses": [
"13NyGvtCdrBUqRSRHJUfw6yXFLoZ9VBu27RL8fq4daos"
]
}
}{
"method": "unsubscribe",
"topics": [
"solana.assets.transfers"
]
}{
"topic": "solana.assets.transfers",
"data": {
"id": 1,
"transfer_type": "spl_token_transfer",
"stack_height": 2,
"token_address": "13NyGvtCdrBUqRSRHJUfw6yXFLoZ9VBu27RL8fq4daos",
"from_address": "CsVdJ8WH8Q9eHSTRpwtwN3TYApm24QnLKYUMNxJ3DaED",
"to_address": "J6pQQ3FAcJQeWPPGppWRb4nM8jU3wLyYbRrLh7feMfvd",
"amount": 256.4115815,
"usd_amount": 35.323303,
"block_slot": 382423380,
"block_time": "2026-05-28T12:00:00Z",
"tx_hash": "3gg6eQPa2PJ4LkGnd12EoEBHmSB3R3fr9h6MYUaaDAjeZBL5bb9paUxn521Z9d3ScWES4cVKLsexwEvo3dUoqhEs"
}
}x-api-key
type:httpApiKey
Your Prism API key. You can get one for free in the Prism Dashboard.
You must include it in the x-api-key query parameter.
Subscribe Transfers
type:object
Subscribe to transfer updates.
Unsubscribe Transfers
type:object
Unsubscribe from transfer updates.
Transfers Message
type:object
Message containing the transfer data.
Was this page helpful?
⌘I